class Date
{
	private int day = 1;
	private int month = 1;
	private int year = 2014;
	private String[] monthStrings = {"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
	
	public Date(int day, int month, int year)
	{
		if (day <= 0 || day > 31 || month <= 0 || month >12 ){
			return;
		}
		this.day = day;
		this.month = month;
		this.year = year;
	}
	
	public void setDay(int day){
		this.day = day;
	}
	
	public boolean setMonth(int month){
		if ((month < 1) || (month > 12)){
			return false;
		}
		this.month = month;
		return true;
	}
	
	public void setYear(int year){
		this.year = year;
	}
	
	public void printDate()
	{
		System.out.println(day + " " + monthNames[month-1] + " " + year);
	}
}

class DateExample
{
	public static void main(String args[])
	{
		Date myDate = new Date(7,3,2013);
		myDate.printDate();
	}
}